%global dlrn_nvr 18.7.1-17.1.20230622053718.edf93f9
%global dlrn 1
%define upstream_version 18.7.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ironic
Version: 18.7.1
Release: 17.1.20230622053719%{?dist}
Summary:        Puppet module for OpenStack Ironic
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ironic

Source0: 18.7.1-17.1.20230622053718.edf93f9.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=edf93f985a113c29e6e23290d1351cd1fbddac2e
Patch0001: 0001-Support-arbitrary-configurations-of-inspector.conf.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-vcsrepo
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Ironic

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-ironic-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/



%files
%{_datadir}/openstack-puppet/modules/ironic/


%changelog
* Tue Mar 26 2024 Lon Hohberger <lhh@redhat.com> 18.7.1-17.1.20230622053719
- Support arbitrary configurations of inspector.conf (rhbz#2265315)

* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-17.1.20230622053718.edf93f9
- Update patches

* Mon May 15 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-1.20230516013950.edf93f9
- Update patches
- Fix efi file paths in RHEL

* Tue May 09 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-1.20230509194000.39ba8bc
- Fix efi file paths in RHEL (rhbz#2196054)

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-1.20230505004022.39ba8bc
- Update patches
- Copy shim and grub efi binaries to tftp root

* Mon Apr 17 2023 OSP Prod Chain <dev-null@redhat.com> 22.0.1-1.20230417144018.5eadf9d
- Update patches
- Debian/Ubuntu: Fix installation of pxelinux.0 and syslinux files

* Fri Jan 27 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230128003900.6ac3402
- Update patches
- Add support for MultiStrOpt

* Thu Jan 26 2023 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20230127003831.6722b8c
- Update patches
- Add support for MultiStrOpt (inspector)

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109032252.a34c79c
- Update patches
- Debian/Ubuntu: The staging driver package is not available
- Debian/Ubuntu: Do not use the ironic-inspector-dnsmasq service

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108114150.65869f8
- Update patches
- Prepare the final wallaby release
- setuptools: Disable auto discovery

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108093712.079dff9
- Prepare the final wallaby release
- setuptools: Disable auto discovery

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220818143654.079dff9
- Update patches
- Debian/Ubuntu: Use tftpd-hpa instead of tftpd
- conductor: Support tuning of heartbeats
- Add support for [disk_utils] parameters

* Wed Aug 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220817113800.5ac952a
- Debian/Ubuntu: Use tftpd-hpa instead of tftpd
- conductor: Support tuning of heartbeats
- Add support for [disk_utils] parameters

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220729004646.5ac952a
- Update patches
- Refactor unit tests of ironic::pxe
- CentOS 9: Fix unit tests for ironic::pxe

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220728011210.57e0ee1
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220712164214.57e0ee1
- Update patches

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217223528.57e0ee1
- Update patches

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204005052.57e0ee1
- Update patches
- Prepare a new Wallaby release

* Mon Jan 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.0.1-0.20220103221840.b50e1d4
- Update patches
- pxe: Create tftp_root directory before starting dnsmasq
- Support use of dnsmasq as tftp service
- Ensure tftp root directory is created

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.1-0.20211216162100.8062614
- Update patches
- Fix name of iPXE efi bootrom
- inspector dnsmasq: make sequential-ip configurable

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20211003005338.446054d
- Update patches
- Skip dependency on keystone endpoint of endpoint is not configured

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210821011810.064cf0a
- Update patches
- Fix the wrong function name

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210818011811.e9a9f03
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210812012941.e9a9f03
- Update patches
- Fix ppc64le support to coexist with PXE preference

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210810234833.de72c56
- Update patches
- Add support for policy settings of ironic-inspector

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210810001812.a7f1c26
- Update patches
- Prepare a new Wallaby release

* Fri Aug 06 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210806231812.7cc374a
- Update patches
- Clean up ipxe support

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210804011806.fc299c7
- Update patches
- We shouldn't set pxe/ipxe_enabled in ironic config

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210607084847.122bd74
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528081212.786f9f7
- Update patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- metadata.json: debian 11

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal
- Add support for healthcheck middleware options

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update supported Ubuntu version to Focal
- Update supported Ubuntu version to Focal

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update supported Ubuntu version to Focal
- Bump requirement of puppetlabs-apache
- Add support for the oslo_policy/enforce_scope parameter

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M3

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor logic to determine syslinux_path
- Use yaml instead of json for policy file

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase upper constraint of puppetlabs-xinetd

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow db sync timeouts to be configurable

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the wrongly placed release note file
- Support more parameters for ipmi driver
- Add support for the firmware update feature in redfish driver

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the misplaced release note file
- Deprecate database options from the base class
- Add support for the keystone_authtoken/service_type parameter

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync
- Cleanup codes for CentOS/RHEL7

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria RC1

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set openstackdocs_auto_name to use 'project' as name

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken dependency.
- Add Puppet Litmus

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not validate database_connection format
- Use openstack_spec_helper from zuul checkout

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mysql_enable_ndb option

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose vhost_custom_fragment

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support more parameters of Redfish driver

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow enabling debug output of IPMI commands

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change to relative includes

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary puppet-rabbitmq from dependencies

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename inspect_timeout to inspect_wait_timeout

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated configdrive_use_swift

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages
- Runs on Debian 10.
- Refactor management of ironic-inspector-dnsmasq package

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq version in metadata
- Change rpsec to rspec

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Explicitly install inspector-dnsmasq package

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- agent: support command_timeout and max_command_attempts
- Prepare Ussuri RC1

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- port_physnet_cidr_map support

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow alternative source files for /tftpboot/ipxe.efi

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add region_name parameter to ironic::drivers::inspector

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new classes to define keystone credentials for inspector

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ironic::neutron::dhcpv6_stateful_address_count

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate ironic::conductor::api_url

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add region_name to ironic::service_catalog

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add region_name parameter for service authentication
- Add ironic::nova class
- Deprecate ironic::conductor::max_time_interval

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expect python3 client/lib package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Customize roles assigned to ironic user

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Configure parameters for managed in-band inspection"
- Configure parameters for managed in-band inspection

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added 'ironic/ironic_url','swift/container' to manifests/inspector.pp

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use client architecture and set bootfile-url for DHCPv6 in inspector

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train




